cd "D:\Polizei"

use "paper_einreichung_anna_lea.dta"
global ctrl "female age ln_income migration edu_father_dummy edu_mother_dummy city_dummy lottery_dummy niss_total Proactivity risk height" 

*************
***Table 1***
*************

replace trust=0 if trust==1
replace trust=50 if trust==2
replace trust=100 if trust==3

tab police, sum(trust)

replace trustee50=0 if trustee50==1
replace trustee50=100 if trustee50==2

tab police, sum(trustee50)

replace trustee100=0 if trustee100==1
replace trustee100=200 if trustee100==2

tab police, sum(trustee100)

tab police, sum(avg_c)

*************
***Table 2***
*************

tab police if police!=. & female!=. & age!=. & niss_total!=. & Proactivity!=., sum(female) 

tab police if police!=. & female!=. & age!=. & niss_total!=. & Proactivity!=., sum(age) 

tab police if police!=. & female!=. & age!=. & niss_total!=. & Proactivity!=., sum(height) 

tab police if police!=. & female!=. & age!=. & niss_total!=. & Proactivity!=., sum(risk) 

tab police if police!=. & female!=. & age!=. & niss_total!=. & Proactivity!=., sum(Proactivity) 

tab police if police!=. & female!=. & age!=. & niss_total!=. & Proactivity!=., sum(niss_total) 


***************
*** Table 3 ***
***************

*Fr OLS trust trustee50 und trustee100 wieder umkodieren*

replace trust=1 if trust==0
replace trust=2 if trust==50
replace trust=3 if trust==100

replace trustee50=1 if trustee50==0
replace trustee50=2 if trustee50==100

replace trustee100=1 if trustee100==0
replace trustee100=2 if trustee100==200

foreach n in trust trustee50 trustee100{
reg `n' police 
reg `n' police age female
reg `n' police $ctrl 
}


***************
*** Table 4 ***
***************

reg avg_c police 
reg avg_c police female age 
reg avg_c police $ctrl if sample2==1
reg avg_c police trust $ctrl if sample2==1
reg avg_c police trustee50 trustee100 $ctrl if sample2==1
reg avg_c police trust trustee50 trustee100 $ctrl if sample2==1
reg avg_c police i.trustbeh $ctrl if sample2==1


***************
*** Table 6 ***
***************

foreach n in puntype puntype1 puntype2 puntype3 puntype6{
sum `n'
tab police, sum(`n')
}

tab2 puntype police, exact col
tab2 puntype1 police, exact col
tab2 puntype2 police, exact col
tab2 puntype3 police, exact col
tab2 puntype6 police, exact col



***************
*** Table 7 ***
***************

tab trust police, col

tab trustee50 police, col 

tab trustee100 police, col


***************
*** Table 8 ***
***************

sum female age ln_income i.citytype migration i.edu_father i.edu_mother niss_total Proactivity i.part_lottery height risk if sample2==1
bysort police: sum female age ln_income i.citytype migration i.edu_father i.edu_mother niss_total Proactivity i.part_lottery height risk if sample2==1
tab2 female police if sample2==1, exact
ttest age if sample2==1, by(police)
ttest ln_income if sample2==1, by(police)
tab2 citytype police if sample2==1, chi2
tab2 migration police if sample2==1, exact
tab2 edu_father police if sample2==1, chi2
tab2 edu_mother police if sample2==1, chi2
ttest niss_total if sample2==1, by(police)
ttest Proactivity if sample2==1, by(police)
tab2 part_lottery police if sample2==1, chi2
ttest height if sample2==1, by(police)
ttest risk if sample2==1, by(police)
ttest height if sample2==1, by(police)



